#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin>>n;
    if(n<=1) cout<<-1;
    if(n%2==0) for(int i=0;i<n/2;i++) cout<<1;
    else{
        cout<<7;
        for(int i=0;i<n/2-1;i++) cout<<1;
    }
    return 0;
}

